Skip to main content
GET
/
employee_benefits
/
{employee_benefit}
Retrieve an employee benefit
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/employee_benefits/{employee_benefit} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "employee_benefit",
  "data": {
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "business_preset": null,
    "employee_benefit_type": {
      "id": "<id>",
      "object": "employee_benefit_type",
      "data": {
        "type": "dental",
        "label": "Dental"
      },
      "links": {
        "self": "/employee_benefit_types/dental"
      }
    },
    "employer_benefit": null,
    "title": "Dental",
    "title_translations": {
      "en": "Dental",
      "fr": "Assurance dentaire"
    },
    "title_translated": "Dental",
    "income_basis": "regular_earnings",
    "income_includes": [],
    "max_annual_contribution_basis": "this_benefit",
    "apply_sales_tax": false,
    "remittance_account_id": null,
    "remittance_account": null,
    "amount": 325.5,
    "amount_type": "fixed",
    "coverage_multiplier": 1,
    "max_annual_contribution": 2500.5,
    "frequency": "per_month",
    "date_basis": "by_period_start_date",
    "pay_period_cadence": [
      1
    ],
    "effective_from": "2026-01-01",
    "effective_to": "2026-12-31",
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "external_ref": "01KG003XG877R33YKHA40HJP84",
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/employee_benefits/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee_benefit
string
required

Query Parameters

expand
enum<string>[]
Available options:
business_preset,
employer_benefit,
expense_accounting_code,
liability_accounting_code,
remittance_account,
tag_assignment,
work_assignment

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("employee_benefit").

data
Default · object